Page MenuHomePhabricator

Warning box inconsistent on collections view
Closed, ResolvedPublic

Description

Visit https://m.mediawiki.org/wiki/User:Jdlrobson/Books/The_reading_web_guide_to_the_PDF_galaxy and compare with https://www.mediawiki.org/wiki/User:Jdlrobson/Books/The_reading_web_guide_to_the_PDF_galaxy


The styles for the warning box on desktop do not show up in mobile as the mobile skin is only compatible with the warningbox class.

acceptance criteria

  • It show use the warningbox class and inherit styles from core.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2017, 11:10 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from To Triage to Needs Analysis on the Readers-Web-Backlog board.
Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Jul 19 2017, 1:10 AM
Jdlrobson triaged this task as Low priority.Nov 29 2018, 11:47 PM

@Jdlrobson This is still the case, correct? It would be positively affected by relying on shared.css and its warningbox styles as well!

Jdlrobson closed this task as Resolved.Mar 7 2019, 11:26 PM
Jdlrobson claimed this task.

this looks fixed to me...
it's using TemplateStyles now
https://m.mediawiki.org/wiki/User:Jdlrobson/Books/The_reading_web_guide_to_the_PDF_galaxy
(this is good direction I think as it moves the styles inline only to pages that need them). I think warning boxes should possibly be limited to specific non-reader facing interfaces so I'm marking this as resolved.